Bug 21291 - на форму поместить кнопку и по ней двойной щелчок
: на форму поместить кнопку и по ней двойной щелчок
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/lazarus)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
: 19564
  Show dependency tree
 
Reported: 2009-08-28 21:39 by
Modified: 2009-09-15 19:22 (History)


Attachments
Lazarus environment config (853 bytes, application/xml)
2009-09-02 14:56, Grigory Batalov
no flags Details
Lazarus environment config with lazadatadesktop integration in lazarus (6.52 KB, text/xml)
2009-09-02 16:00, ashen
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-28 21:39:23
http://forum.altlinux.org/index.php/topic,3792.msg56218.html#msg56218
Lazarus в мастере не рабочий: на форму поместить кнопку и по ней двойной щелчок
(должен переходить в Unit1, а не в исходники fpc)
------- Comment #1 From 2009-08-29 15:08:44 -------
У меня переходит в редактор исходного кода (Unit1).
Описываемые симптомы похожи на первый запуск (воспроизводится удалением
~/.lazarus), когда ещё отсутствует конфиг. Начиная со второго запуска, всё в
порядке.
------- Comment #2 From 2009-08-30 23:11:52 -------
(В ответ на комментарий №1)
> Описываемые симптомы похожи на первый запуск (воспроизводится удалением
> ~/.lazarus), когда ещё отсутствует конфиг. Начиная со второго запуска, всё в
> порядке.

Предлагаете завести журнал для росписи об ознакомлении с errata? 
В ПСПО таких багов не было и настройки заранее копировались из skel.
------- Comment #3 From 2009-08-31 01:14:51 -------
(In reply to comment #2)

> В ПСПО таких багов не было и настройки заранее копировались из skel.

С чего Вы взяли, что "настройки заранее копировались из skel" ?
------- Comment #4 From 2009-09-02 13:57:30 -------
был пакет lazarus-settings-school-0.1-alt1.S40.1
если его "втянуть" в lazarus, то им можно закрыть и эту багу и 21139 и легко
интегрировать lazdatadesktop в среду lazarus'а. Я выложил в гите вариант сборки
lazarus со всеми компонентами, парой сторонних, а так же со сборкой
lazdatadesktop. Если использование /etc/skel поможет исправить эту багу и
21139, то по чему бы его и не использовать?
Хотелось бы услышать мнение, сведущих в /etc/skel лучше меня.
------- Comment #5 From 2009-09-02 14:56:36 -------
Created an attachment (id=3821) [details]
Lazarus environment config

(In reply to comment #4)
> был пакет lazarus-settings-school-0.1-alt1.S40.1

Спасибо, не знал!
Однако, остаётся проблема, если я уже давно имею аккаунт, но lazarus запустил
впервые. В этом случае etcskel не поможет.
Конкретно эта ошибка исчезает, если сохранить приложенный файл в
/etc/lazarus/environmentoptions.xml. Предлагаю положить его в пакет.
------- Comment #6 From 2009-09-02 15:42:47 -------
вот про существующий аккаунт и первый запуск лазаря и раздумывал. Если будем
укладывать дефолтные конфиги в /etc/lazarus/ то и для вновь созданного
пользователя и для существующего, но впервые запустившего лазарь поведение
будет одинаковое, так?
А конфиги эти лежат в $LazarusDir/tools/install/linux/ , правда их надо будет
не много изменить, а не такими как они в тарболе идут класть. Сделаю. Изменения
будут в моём гите.
------- Comment #7 From 2009-09-02 16:00:05 -------
Created an attachment (id=3822) [details]
Lazarus environment config with lazadatadesktop integration in lazarus

в таком виде и ошибка исчезает и lazdatadesktop не только интегрирован, но и
вызывается из лазаря корректно, не вызывая его сегфолт.
------- Comment #8 From 2009-09-12 10:45:10 -------
fixed in lazarus-0.9.26.2-alt3